Subject: Re: [RFC][PATCH] net drivers and cache alignment

From: Jeff Garzik <[email-masked]>
Date: Sat, 07 Dec 2002 18:36:48 -0500

Andrew Morton wrote:
> It needs padding _only_ on SMP.  ____cacheline_aligned_in_smp.
[...]
> So your patch will do what you want it to do.  You should just tag the
> first member of a group with ____cacheline_aligned_in_smp, and keep an
> eye on things with offsetof().

thanks.

For this case, though, I want to align on cacheline bounaries even on 
UP, right?  That's why I picked ____cacheline_aligned.  It uses 
L1_CACHE_BYTES when !CONFIG_SMP.  Other uses of ____cacheline_aligned in 
the kernel seem to relate to irq matters, just like my groupings in tg3.h.

[obviously benchmarking can answer some of this, but I want to hammer 
out silliness first]

	Jeff